REM Script di replica su altri rami di un branch git
REM l'argomento è il replication level:
REM 0 = solo locale
REM 1 = locale + ramo current remoto
REM 2 = locale + current + develop/master remoto
REM 3 = locale + full remoto

ECHO off
set baseBranch=%1
set pushRemote=%2

git push . %baseBranch%:develop
REM git push . %baseBranch%:IOB-NET
REM git push . %baseBranch%:IOB/Euromap63
REM git push . %baseBranch%:IOB/MTC
git push . %baseBranch%:IobMan
REM git push . %baseBranch%:master

REM Faccio push remoto condizionale
if %pushRemote% GTR 0 ( git push gitlab.steamware %baseBranch%:%baseBranch% )

if %pushRemote% GTR 1 ( git push gitlab.steamware %baseBranch%:develop )
if %pushRemote% GTR 1 ( git push gitlab.steamware %baseBranch%:IobMan )
REM if %pushRemote% GTR 1 ( git push gitlab.steamware %baseBranch%:master )

ECHO on